/*
Theme Name: ESD
Author: CromaticStudios
Author URI: https://cromaticstudios.com/
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwenty
*/

/*--------------------------------------------------------------
That's it, happy editing!
----------------------------------------------------------------*/

#inscriere_cat label,
#inregistrare_client_garantie_section label,
#inregistrare_cc_garantie_section label {
    position: relative;
    line-height: 40px;
    display: block;
    padding-left: 15px;
    margin: 0;
    cursor: pointer;
    font-weight: normal;
    font-size: 14px;
}
#inscriere_cat label::after,
#inregistrare_client_garantie_section label::after,
#inregistrare_cc_garantie_section label::after {
    content: '';
    display: block;
    width: 14px;
    height: 14px;
    outline: 1px solid black;
    outline-offset: 2px;
    border-radius: 50%;
    position: absolute;
    right: 18px;
    top: 50%;
    -webkit-transform: translate(0, -50%);
    transform: translate(0, -50%);
}

#inscriere_cat input:checked + label::after,
#inregistrare_client_garantie_section input:checked + label::after,
#inregistrare_cc_garantie_section input:checked + label::after {
    background: red;
}
#form-inscriere input, 
#form-inscriere select {
    height: 40px;
}
#client_garantie_factura_bon + label,
#cc_garantie_factura_bon + label,
#client_garantie_eticheta + label,
#cc_garantie_eticheta + label,
[id^="magazin_proces_verbal"] + label { 
    display: flex;
    margin-bottom: 0;
    align-items: center;
}  
#client_garantie_factura_bon + label span:first-child,
#cc_garantie_factura_bon + label span:first-child,
#client_garantie_eticheta + label span:first-child,    
#cc_garantie_eticheta + label span:first-child,    
[id^="magazin_proces_verbal"] + label span:first-child {    
    background: #ccc;
    text-transform: uppercase;
    font-weight: bold;
    display: block;
    height: 40px;
    line-height: 40px;
    font-size: 12px;
    padding: 0 15px;
    border: none!important;
    border-right: 1px solid #010101!important;
}
#client_garantie_factura_bon + label span.io-bottom-corner::after,
#cc_garantie_factura_bon + label span.io-bottom-corner::after,
#client_garantie_eticheta + label span.io-bottom-corner::after,
#cc_garantie_eticheta + label span.io-bottom-corner::after,
[id^="magazin_proces_verbal"] + label span.io-bottom-corner::after {
    background: linear-gradient(to right bottom, #fff 46%, transparent 50%)
}
#client_garantie_factura_bon + label span:last-child,
#cc_garantie_factura_bon + label span:last-child,
#client_garantie_eticheta + label span:last-child, 
#cc_garantie_eticheta + label span:last-child,
[id^="magazin_proces_verbal"] + label span:last-child {  
    padding-left: 20px;
    font-size: 14px;
    font-weight: normal;
}
#inscriere_client_gdpr input,
#inscriere_cc_gdpr input {
    display: none;
}
#inscriere_client_gdpr label,
#inscriere_cc_gdpr label {
    position: relative;
    padding-left: 38px;
    margin-bottom: 10px;
    display: block
}
#inscriere_client_gdpr label::before,
#inscriere_cc_gdpr label::before,
#inscriere_client_gdpr label::after,
#inscriere_cc_gdpr label::after {
    content:'';
    background: black;
    display: block;
    -webkit-clip-path: polygon(0% 0%, 100% 0%, 100% 50%, 50% 100%, 0% 100%);
    clip-path: polygon(0% 0%, 100% 0%, 100% 50%, 50% 100%, 0% 100%);
    width: 20px;
    height: 20px;
    position: absolute;
    -webkit-transform: translate(0, -50%);
    transform: translate(0, -50%);
    top: 50%;
    left: 0;
}
#inscriere_client_gdpr label::after,
#inscriere_cc_gdpr label::after {
    width: 18px;
    height: 18px;
    background: white;
    top: 50%;
    left: 1px;
}
#inscriere_client_gdpr input:checked + label::after,
#inscriere_cc_gdpr input:checked + label::after {
    background: none;
}
#inscriere_client_gdpr input:checked + label::before,
#inscriere_cc_gdpr input:checked + label::before {
    background: red;
}